import { registerDecorator } from "class-validator";
import { PasswordConstraint } from "../constraints/password.constraint";
export function IsPassword(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: PasswordConstraint,
        });
    };
}
//# sourceMappingURL=is-password.decorator.js.map