import { registerDecorator } from "class-validator";
import { PasswordMaxLengthConstraint } from "../constraints/password-max-length.constraint";
export function PasswordMaxLength(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: PasswordMaxLengthConstraint,
        });
    };
}
//# sourceMappingURL=password-max-length.decorator.js.map