import { registerDecorator } from "class-validator";
import { PasswordMinLengthConstraint } from "../constraints/password-min-length.constraint";
export function PasswordMinLength(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: PasswordMinLengthConstraint,
        });
    };
}
//# sourceMappingURL=password-min-length.decorator.js.map