import { ValidationArguments, ValidatorConstraintInterface } from "class-validator";
import { BlacklistRule, ConfirmPasswordRule, HasRule, HasSpecialCharsRule, LengthRule } from "../password-validator-options.interface";
export declare class PasswordConstraint implements ValidatorConstraintInterface {
    protected readonly defaultMessages: {
        blacklist: string;
        hasLowerCase: string;
        hasNumbers: string;
        hasSpecialChars: string;
        hasUpperCase: string;
        minLength: string;
        maxLength: string;
        confirmPassword: string;
    };
    protected readonly defaultSpecialChars: string[];
    protected readonly defaultBlacklistValues: string[];
    private errorMessage;
    private readonly defaultOptions;
    validate(value: string, args: ValidationArguments): Promise<boolean> | boolean;
    defaultMessage(): string;
    checkBlacklist(password: string, options: BlacklistRule | undefined): boolean;
    checkLength(password: string, options: LengthRule | undefined): boolean;
    checkRegex(password: string, rule: HasRule | undefined, regex: RegExp): boolean;
    checkSpecialChars(password: string, options: HasSpecialCharsRule | undefined): boolean;
    checkConfirmPassword(password: string, confirmPassword: string | undefined, options: ConfirmPasswordRule | undefined): boolean;
    private mergeWithDefaults;
    private validatePassword;
}
//# sourceMappingURL=password.constraint.d.ts.map